{% extends "logger_ui_base.html" %}
{% block content %}
<h2>Samples</h2>
<form method="GET" action="">
    <div class="flexRow">
    <button class="baseButton" name="connect_btn"
            title="Return to connection page">Connect logger</button>
    <button class="baseButton" name="config_btn" title="Return to configuration page">Configuration</button>
    </div><br>

    <label for="n_samples"><button class="baseButton data" name="get_sample_btn"
        title="Get the latest sample form the logger's internal storage">Get samples</button></label>
    <input type="number"
               name="n_samples"
               min="0"
               step="1"
               max="{{ sample_count[0] }}"
               size="6"
               maxlength="4"
               value="{{ n_samples }}"
               required
        ><br>
    <button class="baseButton data upload" name="manual_sample_btn"
            title="Make a manual measurement and store it in logger's internal storage">Manual sample</button>
    <br>
</form>

<div class="flexRow">
    <p style="padding:1em;">Sampling Interval: {{ sampling_interval }}</p>
    <p style="padding:1em;">Status:
    {% if auto_sampleStatus %}
        <span style="background-color:LightGreen;"> enabled </span>
    {% else %}
        <span style="background-color:LightPink;"> disabled </span>
    {% endif %}
    </p>
    <p style="padding:1em;">Records new/total:
    {% if sample_count[1] is not none %}
        {{ sample_count[1] }}/{{ sample_count[0] }}
    {% else %}
        {{ sample_count[0] }}
    {% endif %}
    </p>
</div><br>
{{ sample|safe }}
{% endblock %}